<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: ale.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_391bd94a2158f4efe3737861093ee88d.html">ale</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">ale.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespaceale__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceale__m.html">ale_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:af516dcbf440b0c10806974d3fac15771"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceale__m.html#af516dcbf440b0c10806974d3fac15771">ale_m::ale_register_data</a> (vdf, type)</td></tr>
<tr class="separator:af516dcbf440b0c10806974d3fac15771"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83958d8598eeb0e5e1758e191d29af90"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceale__m.html#a83958d8598eeb0e5e1758e191d29af90">ale_m::ale_init</a> (vdf)</td></tr>
<tr class="separator:a83958d8598eeb0e5e1758e191d29af90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3833274daa16ac6cbc9b72a295ff006e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceale__m.html#a3833274daa16ac6cbc9b72a295ff006e">ale_m::ale_md_init_step1</a> (vdf, FIRST, BDRY_CHANGED)</td></tr>
<tr class="separator:a3833274daa16ac6cbc9b72a295ff006e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af10ad0578f0db17e295c5e20ea1eb771"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceale__m.html#af10ad0578f0db17e295c5e20ea1eb771">ale_m::ale_md_init_step2</a> (vdf, BDRY_CHANGED)</td></tr>
<tr class="separator:af10ad0578f0db17e295c5e20ea1eb771"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae13e56b694e5926aff68a0e74aacb734"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceale__m.html#ae13e56b694e5926aff68a0e74aacb734">ale_m::ale_prestep</a> (vdf)</td></tr>
<tr class="separator:ae13e56b694e5926aff68a0e74aacb734"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d7e2342c4648a56ff36d5d31ba34719"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceale__m.html#a1d7e2342c4648a56ff36d5d31ba34719">ale_m::ale_step</a> (vdf)</td></tr>
<tr class="separator:a1d7e2342c4648a56ff36d5d31ba34719"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2f99e119094b1576c9e25400f43da4d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceale__m.html#af2f99e119094b1576c9e25400f43da4d">ale_m::ale_scalar_step</a> (vdf)</td></tr>
<tr class="separator:af2f99e119094b1576c9e25400f43da4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d52fbf1fdf6e3dc75f3ed06fa694678"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceale__m.html#a7d52fbf1fdf6e3dc75f3ed06fa694678">ale_m::ale_velocity_step</a> (vdf)</td></tr>
<tr class="separator:a7d52fbf1fdf6e3dc75f3ed06fa694678"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18d27417674d0a9ca44efa0dadd46873"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceale__m.html#a18d27417674d0a9ca44efa0dadd46873">ale_m::ale_poststep</a> (vdf)</td></tr>
<tr class="separator:a18d27417674d0a9ca44efa0dadd46873"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab27038071bb111f7577750621e2c592a"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceale__m.html#ab27038071bb111f7577750621e2c592a">ale_m::ale_update_time_ratio</a> (vdf, tratio)</td></tr>
<tr class="separator:ab27038071bb111f7577750621e2c592a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c1d9cc49bab1ab5f8771d2f27dd7674"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceale__m.html#a7c1d9cc49bab1ab5f8771d2f27dd7674">ale_m::ale_monitor</a> (sd)</td></tr>
<tr class="separator:a7c1d9cc49bab1ab5f8771d2f27dd7674"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fc44f71117744c749b17b851a1722fc"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ale_8f90.html#a9fc44f71117744c749b17b851a1722fc">ale_set_boundary_config</a> (first_sd)</td></tr>
<tr class="separator:a9fc44f71117744c749b17b851a1722fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a9fc44f71117744c749b17b851a1722fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fc44f71117744c749b17b851a1722fc">&#9670;&nbsp;</a></span>ale_set_boundary_config()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine ale_set_boundary_config </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>)&#160;</td>
          <td class="paramname"><em>first_sd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceale__geom.html#a448ec18595d0735a39542d1b6762c254">ale_geom::ale_geom_boundary_config()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="ale_8f90_a9fc44f71117744c749b17b851a1722fc_cgraph.png" border="0" usemap="#ale_8f90_a9fc44f71117744c749b17b851a1722fc_cgraph" alt=""/></div>
<map name="ale_8f90_a9fc44f71117744c749b17b851a1722fc_cgraph" id="ale_8f90_a9fc44f71117744c749b17b851a1722fc_cgraph">
<area shape="rect" id="node2" href="namespaceale__geom.html#a448ec18595d0735a39542d1b6762c254" title="ale_geom::ale_geom\l_boundary_config" alt="" coords="220,227,363,268"/>
<area shape="rect" id="node3" href="namespaceparser.html#a2204d5324b210ab1dc9803a58db1c814" title="parser::get_logical\l_param" alt="" coords="438,143,566,184"/>
<area shape="rect" id="node12" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="675,246,771,273"/>
<area shape="rect" id="node14" href="namespacesd__boundary.html#a4421d74c3852638384dae4d81dd24c49" title="sd_boundary::get_boundary" alt="" coords="411,285,593,311"/>
<area shape="rect" id="node4" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="651,27,795,54"/>
<area shape="rect" id="node5" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="646,78,801,105"/>
<area shape="rect" id="node6" href="namespaceparser.html#a3ca87e1ce9b98eccb21ed318dd61daac" title="parser::get_param_from\l_tag_list" alt="" coords="643,129,803,171"/>
<area shape="rect" id="node11" href="namespaceparser.html#a20cf12b9337602e6318ccd187ae7b74a" title="parser::combine_tag_list" alt="" coords="641,195,805,222"/>
<area shape="rect" id="node7" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="877,5,1019,47"/>
<area shape="rect" id="node8" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="865,71,1031,112"/>
<area shape="rect" id="node9" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="853,137,1043,163"/>
<area shape="rect" id="node10" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="866,187,1030,214"/>
<area shape="rect" id="node13" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="883,239,1013,280"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="ale_8f90_a9fc44f71117744c749b17b851a1722fc_icgraph.png" border="0" usemap="#ale_8f90_a9fc44f71117744c749b17b851a1722fc_icgraph" alt=""/></div>
<map name="ale_8f90_a9fc44f71117744c749b17b851a1722fc_icgraph" id="ale_8f90_a9fc44f71117744c749b17b851a1722fc_icgraph">
<area shape="rect" id="node2" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="220,5,373,47"/>
<area shape="rect" id="node4" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="229,71,364,112"/>
<area shape="rect" id="node6" href="namespacecfd__tools.html#a0556bc00b636fe03ca978e726709a9c6" title="sd initialization routine " alt="" coords="236,136,357,177"/>
<area shape="rect" id="node13" href="namespacevdf__tools.html#aadf7c3eb5df72d827142fe4f951fc332" title="vdf_tools::sd_init\l_single_vdf" alt="" coords="236,201,357,243"/>
<area shape="rect" id="node3" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="449,13,536,39"/>
<area shape="rect" id="node5" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="458,78,527,105"/>
<area shape="rect" id="node7" href="namespacenga__cf__cold__func.html#a954f8dc1c6cf2254c9e29584492937dc" title="nga_cf_cold_func::cf\l_cold_init_step1" alt="" coords="421,132,564,173"/>
<area shape="rect" id="node12" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="612,195,789,236"/>
<area shape="rect" id="node8" href="namespacenga__cf__bmix__func.html#a10d9b85c2907eaf67a19676f6e903b99" title="nga_cf_bmix_func::cf\l_bmix_init" alt="" coords="627,64,774,105"/>
<area shape="rect" id="node10" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="629,129,772,171"/>
<area shape="rect" id="node9" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="837,71,933,98"/>
<area shape="rect" id="node11" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="839,137,931,163"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:40 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
